@mixin container {
  padding: 20px;
  background: #F1F5F7;
  border-radius: 7px;

  &.isFocused {
    box-shadow: inset 0 0 0 0.5px #16CDD6;
  }
}

@mixin input {
  color: #232D42;
  font-size: 16px;
  line-height: 26px;
  flex-grow: 1;
  letter-spacing: .5px;

  width: 100%;
}

@mixin placeholder {
  color: #8F95A2;
}

@mixin hint {
  margin-top: 4px;
}

@mixin noAppearance {
  padding: 0;
  border: none;
  background: none;

  &.isFocused {
    box-shadow: none;
  }
}

@mixin light {
  color: #fff;

  font-size: 14px;
  line-height: normal;
}

@mixin lightPlaceholder {
  color: transparentize(#fff, .5);
}

@mixin content {
  display: flex;
  align-items: center;
}

@mixin before {
  margin-right: 8px;
  flex-shrink: 0;
}

@mixin after {
  margin-left: 8px;
  flex-shrink: 0;
}